Bug 61629 - kde multimedia fails to compile from src on redhat 7.2
kde multimedia fails to compile from src on redhat 7.2
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-22 06:15 EST by Matt Darcy
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 16:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Darcy 2002-03-22 06:15:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0; HEWLETT-PACKARD -
- IE 5.5 SP1)

Description of problem:
I am running redhat 7.2 with the default kernel.
I have kde multimedia source in /usr/local/src
I ran ./configure --enable-motif --enable-slang --enable--gtk --with-x
which reported no errors
I then ran make and I get this message.

Making all in libwm
make[3]: Entering directory `/usr/local/src/kde-2.2.2/kdemultimedia-
2.2.2/kscd/libwm'
/bin/sh ../../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../.. -
I/usr/lib/qt-2.3.1/include -I/usr/X11R6/include    -D_REENTRANT   -O2   -c 
cddb.c
mkdir .libs
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/lib/qt-2.3.1/include -
I/usr/X11R6/include -D_REENTRANT -O2 -c cddb.c  -fPIC -DPIC -o .libs/cddb.o
/bin/sh ../../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../.. -
I/usr/lib/qt-2.3.1/include -I/usr/X11R6/include    -D_REENTRANT   -O2   -c 
cdinfo.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/lib/qt-2.3.1/include -
I/usr/X11R6/include -D_REENTRANT -O2 -c cdinfo.c  -fPIC -DPIC -o .libs/cdinfo.o
/bin/sh ../../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../.. -
I/usr/lib/qt-2.3.1/include -I/usr/X11R6/include    -D_REENTRANT   -O2   -c 
cdrom.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/lib/qt-2.3.1/include -
I/usr/X11R6/include -D_REENTRANT -O2 -c cdrom.c  -fPIC -DPIC -o .libs/cdrom.o
/bin/sh ../../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../.. -
I/usr/lib/qt-2.3.1/include -I/usr/X11R6/include    -D_REENTRANT   -O2   -c 
wm_helpers.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/lib/qt-2.3.1/include -
I/usr/X11R6/include -D_REENTRANT -O2 -c wm_helpers.c  -fPIC -DPIC -
o .libs/wm_helpers.o
/bin/sh ../../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../.. -
I/usr/lib/qt-2.3.1/include -I/usr/X11R6/include    -D_REENTRANT   -O2   -c 
cdtext.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/lib/qt-2.3.1/include -
I/usr/X11R6/include -D_REENTRANT -O2 -c cdtext.c  -fPIC -DPIC -o .libs/cdtext.o
/bin/sh ../../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../.. -
I/usr/lib/qt-2.3.1/include -I/usr/X11R6/include    -D_REENTRANT   -O2   -c 
database.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/lib/qt-2.3.1/include -
I/usr/X11R6/include -D_REENTRANT -O2 -c database.c  -fPIC -DPIC -
o .libs/database.o
gcc: Internal error: Segmentation fault (program cc1)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [database.lo] Error 1
make[3]: Leaving directory `/usr/local/src/kde-2.2.2/kdemultimedia-
2.2.2/kscd/libwm'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/local/src/kde-2.2.2/kdemultimedia-2.2.2/kscd'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/local/src/kde-2.2.2/kdemultimedia-2.2.2'
make: *** [all-recursive-am] Error 2
[root@jordan kdemultimedia-2.2.2]# 

Version-Release number of selectedcomponent (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.download kde multimedia 2.2.2 onto a redhat 7.2 default box.
2.run "./configure --enable-motif --enable-slang --enable--gtk --with-x "
3. run make
	

Actual Results:  KDE multimedia starts to compile and fails.

Expected Results:  KDE Multimedia to compile ok 

Additional info:

I have compiled and installed kdelibs 2.2.2 first and compiled and installed

kdeadmin 2.2.2
kdeartwork 2.2.2
kdebase 2.2.2
kdebindings 2.2.2
kdegames 2.2.2
kdegraphics 2.2.2

without any issues

I have lesstif 0.93 installed
I have lame 3.91 installed
I am using 
gcc-2.96-98
gcc-c++-2.96-98
gcc-g77-2.96-98
gcc-objc-2.96-98

I am running an Athtalon Thunderbird 1.1 CPU with 1 gig or RAM
I have a sound blaster live sound card
Comment 1 Matt Darcy 2002-03-22 06:17:25 EST
I can provde you with a login to my server if you require any additional 
information.
Comment 2 Bernhard Rosenkraenzer 2002-03-22 06:26:54 EST
If gcc segfaults, it's either a gcc problem or a hardware problem. 
 
Is this 100% reproducable (does gcc segfault while compiling the same file all the time? 
If you run just the last compile command outside of make, does it crash?)? 
 
If so, it's likely to be a gcc bug. If not, it's almost certainly a hardware problem (try 
running memtest86, http://www.memtest86.com/). 
 
Assigning to gcc and putting in NEEDINFO state, we need to know whether or not this is 
repeatable.
Comment 3 Jakub Jelinek 2004-10-02 16:10:35 EDT
No response in more than two years, closing.
Assuming it was a hw problem.

Note You need to log in before you can comment on or make changes to this bug.